Documentation
¶
Overview ¶
Module dataprotection.v4.content of Nutanix Data Protection APIs
Index ¶
- type BaseRecoveryPointSpec
- type ChangedRegion
- type ChangedVmRegionsApiResponse
- type ChangedVolumeGroupRegionsApiResponse
- type ClusterDiscoverOperation
- type ClusterDiscoverSpec
- type ComputeChangedRegionsClusterDiscoverSpec
- func (p *ComputeChangedRegionsClusterDiscoverSpec) GetReferenceDiskRecoveryPoint() interface{}
- func (p *ComputeChangedRegionsClusterDiscoverSpec) MarshalJSON() ([]byte, error)
- func (p *ComputeChangedRegionsClusterDiscoverSpec) SetReferenceDiskRecoveryPoint(v interface{}) error
- func (p *ComputeChangedRegionsClusterDiscoverSpec) UnmarshalJSON(b []byte) error
- type DiskRecoveryPointReference
- type FileDetail
- type GetVssMetadataApiResponse
- type GetVssMetadataClusterDiscoverSpec
- type OneOfChangedVmRegionsApiResponseData
- func (p *OneOfChangedVmRegionsApiResponseData) GetValue() interface{}
- func (p *OneOfChangedVmRegionsApiResponseData) MarshalJSON() ([]byte, error)
- func (p *OneOfChangedVmRegionsApiResponseData) SetValue(v interface{}) error
- func (p *OneOfChangedVmRegionsApiResponseData) UnmarshalJSON(b []byte) error
- type OneOfChangedVolumeGroupRegionsApiResponseData
- func (p *OneOfChangedVolumeGroupRegionsApiResponseData) GetValue() interface{}
- func (p *OneOfChangedVolumeGroupRegionsApiResponseData) MarshalJSON() ([]byte, error)
- func (p *OneOfChangedVolumeGroupRegionsApiResponseData) SetValue(v interface{}) error
- func (p *OneOfChangedVolumeGroupRegionsApiResponseData) UnmarshalJSON(b []byte) error
- type OneOfClusterDiscoverSpecSpec
- type OneOfComputeChangedRegionsClusterDiscoverSpecDiskRecoveryPoint
- func (p *OneOfComputeChangedRegionsClusterDiscoverSpecDiskRecoveryPoint) GetValue() interface{}
- func (p *OneOfComputeChangedRegionsClusterDiscoverSpecDiskRecoveryPoint) MarshalJSON() ([]byte, error)
- func (p *OneOfComputeChangedRegionsClusterDiscoverSpecDiskRecoveryPoint) SetValue(v interface{}) error
- func (p *OneOfComputeChangedRegionsClusterDiscoverSpecDiskRecoveryPoint) UnmarshalJSON(b []byte) error
- type OneOfComputeChangedRegionsClusterDiscoverSpecReferenceDiskRecoveryPoint
- func (p *OneOfComputeChangedRegionsClusterDiscoverSpecReferenceDiskRecoveryPoint) GetValue() interface{}
- func (p *OneOfComputeChangedRegionsClusterDiscoverSpecReferenceDiskRecoveryPoint) MarshalJSON() ([]byte, error)
- func (p *OneOfComputeChangedRegionsClusterDiscoverSpecReferenceDiskRecoveryPoint) SetValue(v interface{}) error
- func (p *OneOfComputeChangedRegionsClusterDiscoverSpecReferenceDiskRecoveryPoint) UnmarshalJSON(b []byte) error
- type OneOfGetVssMetadataApiResponseData
- type RegionType
- type VmDiskRecoveryPointClusterDiscoverSpec
- type VmDiskRecoveryPointReference
- type VmRecoveryPointChangedRegionsComputeSpec
- type VolumeGroupDiskRecoveryPointClusterDiscoverSpec
- type VolumeGroupDiskRecoveryPointReference
- type VolumeGroupRecoveryPointChangedRegionsComputeSpec
Constants ¶
This section is empty.
Variables ¶
This section is empty.
Functions ¶
This section is empty.
Types ¶
type BaseRecoveryPointSpec ¶
type BaseRecoveryPointSpec struct {
ObjectType_ *string `json:"$objectType,omitempty"`
Reserved_ map[string]interface{} `json:"$reserved,omitempty"`
UnknownFields_ map[string]interface{} `json:"$unknownFields,omitempty"`
/*
Disk recovery point external identifier.
*/
ReferenceDiskRecoveryPointExtId *string `json:"referenceDiskRecoveryPointExtId,omitempty"`
/*
The external identifier that can be used to retrieve the recovery point using its URL.
*/
ReferenceRecoveryPointExtId *string `json:"referenceRecoveryPointExtId,omitempty"`
}
func NewBaseRecoveryPointSpec ¶
func NewBaseRecoveryPointSpec() *BaseRecoveryPointSpec
func (*BaseRecoveryPointSpec) MarshalJSON ¶ added in v4.1.1
func (p *BaseRecoveryPointSpec) MarshalJSON() ([]byte, error)
func (*BaseRecoveryPointSpec) UnmarshalJSON ¶ added in v4.1.1
func (p *BaseRecoveryPointSpec) UnmarshalJSON(b []byte) error
type ChangedRegion ¶
type ChangedRegion struct {
ObjectType_ *string `json:"$objectType,omitempty"`
Reserved_ map[string]interface{} `json:"$reserved,omitempty"`
UnknownFields_ map[string]interface{} `json:"$unknownFields,omitempty"`
/*
The length of the region in bytes.
*/
Length *int64 `json:"length"`
/*
The start offset of the region in bytes.
*/
Offset *int64 `json:"offset"`
RegionType *RegionType `json:"regionType"`
}
Changed region comprising of offset, length, and type of the region.
func NewChangedRegion ¶
func NewChangedRegion() *ChangedRegion
func (*ChangedRegion) MarshalJSON ¶
func (p *ChangedRegion) MarshalJSON() ([]byte, error)
func (*ChangedRegion) UnmarshalJSON ¶ added in v4.1.1
func (p *ChangedRegion) UnmarshalJSON(b []byte) error
type ChangedVmRegionsApiResponse ¶
type ChangedVmRegionsApiResponse struct {
ObjectType_ *string `json:"$objectType,omitempty"`
Reserved_ map[string]interface{} `json:"$reserved,omitempty"`
UnknownFields_ map[string]interface{} `json:"$unknownFields,omitempty"`
/*
*/
DataItemDiscriminator_ *string `json:"$dataItemDiscriminator,omitempty"`
Data *OneOfChangedVmRegionsApiResponseData `json:"data,omitempty"`
Metadata *import2.ApiResponseMetadata `json:"metadata,omitempty"`
}
REST response for all response codes in API path /dataprotection/v4.1/content/recovery-points/{recoveryPointExtId}/vm-recovery-points/{vmRecoveryPointExtId}/disk-recovery-points/{extId}/$actions/compute-changed-regions Post operation
func NewChangedVmRegionsApiResponse ¶
func NewChangedVmRegionsApiResponse() *ChangedVmRegionsApiResponse
func (*ChangedVmRegionsApiResponse) GetData ¶
func (p *ChangedVmRegionsApiResponse) GetData() interface{}
func (*ChangedVmRegionsApiResponse) MarshalJSON ¶ added in v4.1.1
func (p *ChangedVmRegionsApiResponse) MarshalJSON() ([]byte, error)
func (*ChangedVmRegionsApiResponse) SetData ¶
func (p *ChangedVmRegionsApiResponse) SetData(v interface{}) error
func (*ChangedVmRegionsApiResponse) UnmarshalJSON ¶ added in v4.1.1
func (p *ChangedVmRegionsApiResponse) UnmarshalJSON(b []byte) error
type ChangedVolumeGroupRegionsApiResponse ¶
type ChangedVolumeGroupRegionsApiResponse struct {
ObjectType_ *string `json:"$objectType,omitempty"`
Reserved_ map[string]interface{} `json:"$reserved,omitempty"`
UnknownFields_ map[string]interface{} `json:"$unknownFields,omitempty"`
/*
*/
DataItemDiscriminator_ *string `json:"$dataItemDiscriminator,omitempty"`
Data *OneOfChangedVolumeGroupRegionsApiResponseData `json:"data,omitempty"`
Metadata *import2.ApiResponseMetadata `json:"metadata,omitempty"`
}
REST response for all response codes in API path /dataprotection/v4.1/content/recovery-points/{recoveryPointExtId}/volume-group-recovery-points/{volumeGroupRecoveryPointExtId}/disk-recovery-points/{extId}/$actions/compute-changed-regions Post operation
func NewChangedVolumeGroupRegionsApiResponse ¶
func NewChangedVolumeGroupRegionsApiResponse() *ChangedVolumeGroupRegionsApiResponse
func (*ChangedVolumeGroupRegionsApiResponse) GetData ¶
func (p *ChangedVolumeGroupRegionsApiResponse) GetData() interface{}
func (*ChangedVolumeGroupRegionsApiResponse) MarshalJSON ¶ added in v4.1.1
func (p *ChangedVolumeGroupRegionsApiResponse) MarshalJSON() ([]byte, error)
func (*ChangedVolumeGroupRegionsApiResponse) SetData ¶
func (p *ChangedVolumeGroupRegionsApiResponse) SetData(v interface{}) error
func (*ChangedVolumeGroupRegionsApiResponse) UnmarshalJSON ¶ added in v4.1.1
func (p *ChangedVolumeGroupRegionsApiResponse) UnmarshalJSON(b []byte) error
type ClusterDiscoverOperation ¶
type ClusterDiscoverOperation int
Represents the operation for which discover cluster API is being called.
const ( CLUSTERDISCOVEROPERATION_UNKNOWN ClusterDiscoverOperation = 0 CLUSTERDISCOVEROPERATION_REDACTED ClusterDiscoverOperation = 1 CLUSTERDISCOVEROPERATION_GET_VSS_METADATA ClusterDiscoverOperation = 2 CLUSTERDISCOVEROPERATION_COMPUTE_CHANGED_REGIONS ClusterDiscoverOperation = 3 )
func (ClusterDiscoverOperation) GetName ¶
func (e ClusterDiscoverOperation) GetName() string
Returns the name of the enum
func (*ClusterDiscoverOperation) MarshalJSON ¶
func (e *ClusterDiscoverOperation) MarshalJSON() ([]byte, error)
func (ClusterDiscoverOperation) Ref ¶
func (e ClusterDiscoverOperation) Ref() *ClusterDiscoverOperation
func (*ClusterDiscoverOperation) UnmarshalJSON ¶
func (e *ClusterDiscoverOperation) UnmarshalJSON(b []byte) error
type ClusterDiscoverSpec ¶
type ClusterDiscoverSpec struct {
ObjectType_ *string `json:"$objectType,omitempty"`
Reserved_ map[string]interface{} `json:"$reserved,omitempty"`
UnknownFields_ map[string]interface{} `json:"$unknownFields,omitempty"`
Operation *ClusterDiscoverOperation `json:"operation"`
/*
*/
SpecItemDiscriminator_ *string `json:"$specItemDiscriminator,omitempty"`
/*
Specifications corresponding to the requested operation.
*/
Spec *OneOfClusterDiscoverSpecSpec `json:"spec"`
}
Request body containing recovery point specifications for discovering the cluster.
func NewClusterDiscoverSpec ¶
func NewClusterDiscoverSpec() *ClusterDiscoverSpec
func (*ClusterDiscoverSpec) GetSpec ¶
func (p *ClusterDiscoverSpec) GetSpec() interface{}
func (*ClusterDiscoverSpec) MarshalJSON ¶
func (p *ClusterDiscoverSpec) MarshalJSON() ([]byte, error)
func (*ClusterDiscoverSpec) SetSpec ¶
func (p *ClusterDiscoverSpec) SetSpec(v interface{}) error
func (*ClusterDiscoverSpec) UnmarshalJSON ¶ added in v4.1.1
func (p *ClusterDiscoverSpec) UnmarshalJSON(b []byte) error
type ComputeChangedRegionsClusterDiscoverSpec ¶
type ComputeChangedRegionsClusterDiscoverSpec struct {
ObjectType_ *string `json:"$objectType,omitempty"`
Reserved_ map[string]interface{} `json:"$reserved,omitempty"`
UnknownFields_ map[string]interface{} `json:"$unknownFields,omitempty"`
/*
*/
DiskRecoveryPointItemDiscriminator_ *string `json:"$diskRecoveryPointItemDiscriminator,omitempty"`
/*
Disk recovery point for compute changed regions operation.
*/
DiskRecoveryPoint *OneOfComputeChangedRegionsClusterDiscoverSpecDiskRecoveryPoint `json:"diskRecoveryPoint"`
/*
*/
ReferenceDiskRecoveryPointItemDiscriminator_ *string `json:"$referenceDiskRecoveryPointItemDiscriminator,omitempty"`
/*
Reference disk recovery point for compute changed regions operation.
*/
ReferenceDiskRecoveryPoint *OneOfComputeChangedRegionsClusterDiscoverSpecReferenceDiskRecoveryPoint `json:"referenceDiskRecoveryPoint,omitempty"`
}
Specs required to fetch the cluster information for compute change region operation.
func NewComputeChangedRegionsClusterDiscoverSpec ¶
func NewComputeChangedRegionsClusterDiscoverSpec() *ComputeChangedRegionsClusterDiscoverSpec
func (*ComputeChangedRegionsClusterDiscoverSpec) GetReferenceDiskRecoveryPoint ¶
func (p *ComputeChangedRegionsClusterDiscoverSpec) GetReferenceDiskRecoveryPoint() interface{}
func (*ComputeChangedRegionsClusterDiscoverSpec) MarshalJSON ¶
func (p *ComputeChangedRegionsClusterDiscoverSpec) MarshalJSON() ([]byte, error)
func (*ComputeChangedRegionsClusterDiscoverSpec) SetReferenceDiskRecoveryPoint ¶
func (p *ComputeChangedRegionsClusterDiscoverSpec) SetReferenceDiskRecoveryPoint(v interface{}) error
func (*ComputeChangedRegionsClusterDiscoverSpec) UnmarshalJSON ¶ added in v4.1.1
func (p *ComputeChangedRegionsClusterDiscoverSpec) UnmarshalJSON(b []byte) error
type DiskRecoveryPointReference ¶
type DiskRecoveryPointReference struct {
ObjectType_ *string `json:"$objectType,omitempty"`
Reserved_ map[string]interface{} `json:"$reserved,omitempty"`
UnknownFields_ map[string]interface{} `json:"$unknownFields,omitempty"`
/*
Disk recovery point external identifier.
*/
DiskRecoveryPointExtId *string `json:"diskRecoveryPointExtId,omitempty"`
/*
The external identifier that can be used to retrieve the recovery point using its URL.
*/
RecoveryPointExtId *string `json:"recoveryPointExtId,omitempty"`
}
Specs containing disk recovery point information used to discover the cluster.
func NewDiskRecoveryPointReference ¶
func NewDiskRecoveryPointReference() *DiskRecoveryPointReference
func (*DiskRecoveryPointReference) MarshalJSON ¶ added in v4.1.1
func (p *DiskRecoveryPointReference) MarshalJSON() ([]byte, error)
func (*DiskRecoveryPointReference) UnmarshalJSON ¶ added in v4.1.1
func (p *DiskRecoveryPointReference) UnmarshalJSON(b []byte) error
type FileDetail ¶
func NewFileDetail ¶
func NewFileDetail() *FileDetail
type GetVssMetadataApiResponse ¶
type GetVssMetadataApiResponse struct {
ObjectType_ *string `json:"$objectType,omitempty"`
Reserved_ map[string]interface{} `json:"$reserved,omitempty"`
UnknownFields_ map[string]interface{} `json:"$unknownFields,omitempty"`
/*
*/
DataItemDiscriminator_ *string `json:"$dataItemDiscriminator,omitempty"`
Data *OneOfGetVssMetadataApiResponseData `json:"data,omitempty"`
Metadata *import2.ApiResponseMetadata `json:"metadata,omitempty"`
}
REST response for all response codes in API path /dataprotection/v4.1/content/recovery-points/{recoveryPointExtId}/vm-recovery-points/{vmRecoveryPointExtId}/vss-metadata Get operation
func NewGetVssMetadataApiResponse ¶
func NewGetVssMetadataApiResponse() *GetVssMetadataApiResponse
func (*GetVssMetadataApiResponse) GetData ¶
func (p *GetVssMetadataApiResponse) GetData() interface{}
func (*GetVssMetadataApiResponse) MarshalJSON ¶ added in v4.1.1
func (p *GetVssMetadataApiResponse) MarshalJSON() ([]byte, error)
func (*GetVssMetadataApiResponse) SetData ¶
func (p *GetVssMetadataApiResponse) SetData(v interface{}) error
func (*GetVssMetadataApiResponse) UnmarshalJSON ¶ added in v4.1.1
func (p *GetVssMetadataApiResponse) UnmarshalJSON(b []byte) error
type GetVssMetadataClusterDiscoverSpec ¶
type GetVssMetadataClusterDiscoverSpec struct {
ObjectType_ *string `json:"$objectType,omitempty"`
Reserved_ map[string]interface{} `json:"$reserved,omitempty"`
UnknownFields_ map[string]interface{} `json:"$unknownFields,omitempty"`
/*
The external identifier that can be used to retrieve the VM recovery point using its URL.
*/
VmRecoveryPointExtId *string `json:"vmRecoveryPointExtId"`
}
Specification of get VSS metadata operation.
func NewGetVssMetadataClusterDiscoverSpec ¶
func NewGetVssMetadataClusterDiscoverSpec() *GetVssMetadataClusterDiscoverSpec
func (*GetVssMetadataClusterDiscoverSpec) MarshalJSON ¶
func (p *GetVssMetadataClusterDiscoverSpec) MarshalJSON() ([]byte, error)
func (*GetVssMetadataClusterDiscoverSpec) UnmarshalJSON ¶ added in v4.1.1
func (p *GetVssMetadataClusterDiscoverSpec) UnmarshalJSON(b []byte) error
type OneOfChangedVmRegionsApiResponseData ¶
type OneOfChangedVmRegionsApiResponseData struct {
Discriminator *string `json:"-"`
ObjectType_ *string `json:"-"`
// contains filtered or unexported fields
}
func NewOneOfChangedVmRegionsApiResponseData ¶
func NewOneOfChangedVmRegionsApiResponseData() *OneOfChangedVmRegionsApiResponseData
func (*OneOfChangedVmRegionsApiResponseData) GetValue ¶
func (p *OneOfChangedVmRegionsApiResponseData) GetValue() interface{}
func (*OneOfChangedVmRegionsApiResponseData) MarshalJSON ¶
func (p *OneOfChangedVmRegionsApiResponseData) MarshalJSON() ([]byte, error)
func (*OneOfChangedVmRegionsApiResponseData) SetValue ¶
func (p *OneOfChangedVmRegionsApiResponseData) SetValue(v interface{}) error
func (*OneOfChangedVmRegionsApiResponseData) UnmarshalJSON ¶
func (p *OneOfChangedVmRegionsApiResponseData) UnmarshalJSON(b []byte) error
type OneOfChangedVolumeGroupRegionsApiResponseData ¶
type OneOfChangedVolumeGroupRegionsApiResponseData struct {
Discriminator *string `json:"-"`
ObjectType_ *string `json:"-"`
// contains filtered or unexported fields
}
func NewOneOfChangedVolumeGroupRegionsApiResponseData ¶
func NewOneOfChangedVolumeGroupRegionsApiResponseData() *OneOfChangedVolumeGroupRegionsApiResponseData
func (*OneOfChangedVolumeGroupRegionsApiResponseData) GetValue ¶
func (p *OneOfChangedVolumeGroupRegionsApiResponseData) GetValue() interface{}
func (*OneOfChangedVolumeGroupRegionsApiResponseData) MarshalJSON ¶
func (p *OneOfChangedVolumeGroupRegionsApiResponseData) MarshalJSON() ([]byte, error)
func (*OneOfChangedVolumeGroupRegionsApiResponseData) SetValue ¶
func (p *OneOfChangedVolumeGroupRegionsApiResponseData) SetValue(v interface{}) error
func (*OneOfChangedVolumeGroupRegionsApiResponseData) UnmarshalJSON ¶
func (p *OneOfChangedVolumeGroupRegionsApiResponseData) UnmarshalJSON(b []byte) error
type OneOfClusterDiscoverSpecSpec ¶
type OneOfClusterDiscoverSpecSpec struct {
Discriminator *string `json:"-"`
ObjectType_ *string `json:"-"`
// contains filtered or unexported fields
}
func NewOneOfClusterDiscoverSpecSpec ¶
func NewOneOfClusterDiscoverSpecSpec() *OneOfClusterDiscoverSpecSpec
func (*OneOfClusterDiscoverSpecSpec) GetValue ¶
func (p *OneOfClusterDiscoverSpecSpec) GetValue() interface{}
func (*OneOfClusterDiscoverSpecSpec) MarshalJSON ¶
func (p *OneOfClusterDiscoverSpecSpec) MarshalJSON() ([]byte, error)
func (*OneOfClusterDiscoverSpecSpec) SetValue ¶
func (p *OneOfClusterDiscoverSpecSpec) SetValue(v interface{}) error
func (*OneOfClusterDiscoverSpecSpec) UnmarshalJSON ¶
func (p *OneOfClusterDiscoverSpecSpec) UnmarshalJSON(b []byte) error
type OneOfComputeChangedRegionsClusterDiscoverSpecDiskRecoveryPoint ¶
type OneOfComputeChangedRegionsClusterDiscoverSpecDiskRecoveryPoint struct {
Discriminator *string `json:"-"`
ObjectType_ *string `json:"-"`
// contains filtered or unexported fields
}
func NewOneOfComputeChangedRegionsClusterDiscoverSpecDiskRecoveryPoint ¶
func NewOneOfComputeChangedRegionsClusterDiscoverSpecDiskRecoveryPoint() *OneOfComputeChangedRegionsClusterDiscoverSpecDiskRecoveryPoint
func (*OneOfComputeChangedRegionsClusterDiscoverSpecDiskRecoveryPoint) GetValue ¶
func (p *OneOfComputeChangedRegionsClusterDiscoverSpecDiskRecoveryPoint) GetValue() interface{}
func (*OneOfComputeChangedRegionsClusterDiscoverSpecDiskRecoveryPoint) MarshalJSON ¶
func (p *OneOfComputeChangedRegionsClusterDiscoverSpecDiskRecoveryPoint) MarshalJSON() ([]byte, error)
func (*OneOfComputeChangedRegionsClusterDiscoverSpecDiskRecoveryPoint) SetValue ¶
func (p *OneOfComputeChangedRegionsClusterDiscoverSpecDiskRecoveryPoint) SetValue(v interface{}) error
func (*OneOfComputeChangedRegionsClusterDiscoverSpecDiskRecoveryPoint) UnmarshalJSON ¶
func (p *OneOfComputeChangedRegionsClusterDiscoverSpecDiskRecoveryPoint) UnmarshalJSON(b []byte) error
type OneOfComputeChangedRegionsClusterDiscoverSpecReferenceDiskRecoveryPoint ¶
type OneOfComputeChangedRegionsClusterDiscoverSpecReferenceDiskRecoveryPoint struct {
Discriminator *string `json:"-"`
ObjectType_ *string `json:"-"`
// contains filtered or unexported fields
}
func NewOneOfComputeChangedRegionsClusterDiscoverSpecReferenceDiskRecoveryPoint ¶
func NewOneOfComputeChangedRegionsClusterDiscoverSpecReferenceDiskRecoveryPoint() *OneOfComputeChangedRegionsClusterDiscoverSpecReferenceDiskRecoveryPoint
func (*OneOfComputeChangedRegionsClusterDiscoverSpecReferenceDiskRecoveryPoint) GetValue ¶
func (p *OneOfComputeChangedRegionsClusterDiscoverSpecReferenceDiskRecoveryPoint) GetValue() interface{}
func (*OneOfComputeChangedRegionsClusterDiscoverSpecReferenceDiskRecoveryPoint) MarshalJSON ¶
func (p *OneOfComputeChangedRegionsClusterDiscoverSpecReferenceDiskRecoveryPoint) MarshalJSON() ([]byte, error)
func (*OneOfComputeChangedRegionsClusterDiscoverSpecReferenceDiskRecoveryPoint) SetValue ¶
func (p *OneOfComputeChangedRegionsClusterDiscoverSpecReferenceDiskRecoveryPoint) SetValue(v interface{}) error
func (*OneOfComputeChangedRegionsClusterDiscoverSpecReferenceDiskRecoveryPoint) UnmarshalJSON ¶
func (p *OneOfComputeChangedRegionsClusterDiscoverSpecReferenceDiskRecoveryPoint) UnmarshalJSON(b []byte) error
type OneOfGetVssMetadataApiResponseData ¶
type OneOfGetVssMetadataApiResponseData struct {
Discriminator *string `json:"-"`
ObjectType_ *string `json:"-"`
// contains filtered or unexported fields
}
func NewOneOfGetVssMetadataApiResponseData ¶
func NewOneOfGetVssMetadataApiResponseData() *OneOfGetVssMetadataApiResponseData
func (*OneOfGetVssMetadataApiResponseData) GetValue ¶
func (p *OneOfGetVssMetadataApiResponseData) GetValue() interface{}
func (*OneOfGetVssMetadataApiResponseData) MarshalJSON ¶
func (p *OneOfGetVssMetadataApiResponseData) MarshalJSON() ([]byte, error)
func (*OneOfGetVssMetadataApiResponseData) SetValue ¶
func (p *OneOfGetVssMetadataApiResponseData) SetValue(v interface{}) error
func (*OneOfGetVssMetadataApiResponseData) UnmarshalJSON ¶
func (p *OneOfGetVssMetadataApiResponseData) UnmarshalJSON(b []byte) error
type RegionType ¶
type RegionType int
The type of the region.
const ( REGIONTYPE_UNKNOWN RegionType = 0 REGIONTYPE_REDACTED RegionType = 1 REGIONTYPE_ZEROED RegionType = 2 REGIONTYPE_REGULAR RegionType = 3 )
func (*RegionType) MarshalJSON ¶
func (e *RegionType) MarshalJSON() ([]byte, error)
func (RegionType) Ref ¶
func (e RegionType) Ref() *RegionType
func (*RegionType) UnmarshalJSON ¶
func (e *RegionType) UnmarshalJSON(b []byte) error
type VmDiskRecoveryPointClusterDiscoverSpec ¶
type VmDiskRecoveryPointClusterDiscoverSpec struct {
ObjectType_ *string `json:"$objectType,omitempty"`
Reserved_ map[string]interface{} `json:"$reserved,omitempty"`
UnknownFields_ map[string]interface{} `json:"$unknownFields,omitempty"`
/*
Disk recovery point external identifier.
*/
ReferenceDiskRecoveryPointExtId *string `json:"referenceDiskRecoveryPointExtId,omitempty"`
/*
The external identifier that can be used to retrieve the recovery point using its URL.
*/
ReferenceRecoveryPointExtId *string `json:"referenceRecoveryPointExtId,omitempty"`
/*
The external identifier that can be used to identify a VM recovery point.
*/
ReferenceVmRecoveryPointExtId *string `json:"referenceVmRecoveryPointExtId,omitempty"`
}
Pass all required IDs to generate a token and discover the cluster. All parameters are optional. However, if a reference disk recovery point needs to be set, the following three parameters must be specified: recoveryPointExtId, vmRecoveryPointExtId, and extId.
func NewVmDiskRecoveryPointClusterDiscoverSpec ¶
func NewVmDiskRecoveryPointClusterDiscoverSpec() *VmDiskRecoveryPointClusterDiscoverSpec
func (*VmDiskRecoveryPointClusterDiscoverSpec) MarshalJSON ¶ added in v4.1.1
func (p *VmDiskRecoveryPointClusterDiscoverSpec) MarshalJSON() ([]byte, error)
func (*VmDiskRecoveryPointClusterDiscoverSpec) UnmarshalJSON ¶ added in v4.1.1
func (p *VmDiskRecoveryPointClusterDiscoverSpec) UnmarshalJSON(b []byte) error
type VmDiskRecoveryPointReference ¶
type VmDiskRecoveryPointReference struct {
ObjectType_ *string `json:"$objectType,omitempty"`
Reserved_ map[string]interface{} `json:"$reserved,omitempty"`
UnknownFields_ map[string]interface{} `json:"$unknownFields,omitempty"`
/*
Disk recovery point external identifier.
*/
DiskRecoveryPointExtId *string `json:"diskRecoveryPointExtId,omitempty"`
/*
The external identifier that can be used to retrieve the recovery point using its URL.
*/
RecoveryPointExtId *string `json:"recoveryPointExtId,omitempty"`
/*
The external identifier that can be used to identify a VM recovery point.
*/
VmRecoveryPointExtId *string `json:"vmRecoveryPointExtId,omitempty"`
}
Reference to the disk recovery point that is a part of a VM recovery point.
func NewVmDiskRecoveryPointReference ¶
func NewVmDiskRecoveryPointReference() *VmDiskRecoveryPointReference
func (*VmDiskRecoveryPointReference) MarshalJSON ¶ added in v4.1.1
func (p *VmDiskRecoveryPointReference) MarshalJSON() ([]byte, error)
func (*VmDiskRecoveryPointReference) UnmarshalJSON ¶ added in v4.1.1
func (p *VmDiskRecoveryPointReference) UnmarshalJSON(b []byte) error
type VmRecoveryPointChangedRegionsComputeSpec ¶
type VmRecoveryPointChangedRegionsComputeSpec struct {
ObjectType_ *string `json:"$objectType,omitempty"`
Reserved_ map[string]interface{} `json:"$reserved,omitempty"`
UnknownFields_ map[string]interface{} `json:"$unknownFields,omitempty"`
/*
When blockSizeByte is set, all returned ranges will start and end at blockSize addresses, and the changed blocks will match the block size. Supported values of blockSizeByte are [32768, 65536, 131072, 262144]. Example: if blockSizeByte is set to 32768 (i.e 32KB), all ranges will start at multiple of 32KB and end at multiple of 32KB value.
*/
BlockSizeByte *int64 `json:"blockSizeByte,omitempty"`
/*
The length to compute the changed region. If the value is not provided, then the difference is performed from the start offset to the end of the disk. Note: the end offset might automatically align to a system-defined block boundary.
*/
Length *int64 `json:"length,omitempty"`
/*
The start offset value to compute the changed region. If the value is not provided, then the difference is executed from the offset of 0. Note: the start offset might automatically align to a system-defined block boundary.
*/
Offset *int64 `json:"offset,omitempty"`
/*
Disk recovery point external identifier.
*/
ReferenceDiskRecoveryPointExtId *string `json:"referenceDiskRecoveryPointExtId,omitempty"`
/*
The external identifier that can be used to retrieve the recovery point using its URL.
*/
ReferenceRecoveryPointExtId *string `json:"referenceRecoveryPointExtId,omitempty"`
/*
The external identifier that can be used to identify a VM recovery point.
*/
ReferenceVmRecoveryPointExtId *string `json:"referenceVmRecoveryPointExtId,omitempty"`
}
Compute changed region parameters. These parameters allow you to specify a start offset, length, block size, and a reference disk recovery point. All parameters are optional. However, if you need to set a reference disk recovery point, you must specify all three parameters: recovery point ID, VM recovery point ID, and disk recovery point ID.
func NewVmRecoveryPointChangedRegionsComputeSpec ¶
func NewVmRecoveryPointChangedRegionsComputeSpec() *VmRecoveryPointChangedRegionsComputeSpec
func (*VmRecoveryPointChangedRegionsComputeSpec) MarshalJSON ¶ added in v4.1.1
func (p *VmRecoveryPointChangedRegionsComputeSpec) MarshalJSON() ([]byte, error)
func (*VmRecoveryPointChangedRegionsComputeSpec) UnmarshalJSON ¶ added in v4.1.1
func (p *VmRecoveryPointChangedRegionsComputeSpec) UnmarshalJSON(b []byte) error
type VolumeGroupDiskRecoveryPointClusterDiscoverSpec ¶
type VolumeGroupDiskRecoveryPointClusterDiscoverSpec struct {
ObjectType_ *string `json:"$objectType,omitempty"`
Reserved_ map[string]interface{} `json:"$reserved,omitempty"`
UnknownFields_ map[string]interface{} `json:"$unknownFields,omitempty"`
/*
Disk recovery point external identifier.
*/
ReferenceDiskRecoveryPointExtId *string `json:"referenceDiskRecoveryPointExtId,omitempty"`
/*
The external identifier that can be used to retrieve the recovery point using its URL.
*/
ReferenceRecoveryPointExtId *string `json:"referenceRecoveryPointExtId,omitempty"`
/*
The external identifier that can be used to retrieve the volume group recovery point using its URL (Note: This attribute will be removed in future releases; therefore, use the volume group recovery point external identifier instead).
*/
ReferenceVolumeGroupRecoveryPointExtId *string `json:"referenceVolumeGroupRecoveryPointExtId,omitempty"`
}
Pass all required IDs to generate a token and discover the cluster. All parameters are optional. However, if a reference disk recovery point needs to be set, the following three parameters must be specified: recoveryPointExtId,volumeGroupRecoveryPointExtId, and extId.
func NewVolumeGroupDiskRecoveryPointClusterDiscoverSpec ¶
func NewVolumeGroupDiskRecoveryPointClusterDiscoverSpec() *VolumeGroupDiskRecoveryPointClusterDiscoverSpec
func (*VolumeGroupDiskRecoveryPointClusterDiscoverSpec) MarshalJSON ¶ added in v4.1.1
func (p *VolumeGroupDiskRecoveryPointClusterDiscoverSpec) MarshalJSON() ([]byte, error)
func (*VolumeGroupDiskRecoveryPointClusterDiscoverSpec) UnmarshalJSON ¶ added in v4.1.1
func (p *VolumeGroupDiskRecoveryPointClusterDiscoverSpec) UnmarshalJSON(b []byte) error
type VolumeGroupDiskRecoveryPointReference ¶
type VolumeGroupDiskRecoveryPointReference struct {
ObjectType_ *string `json:"$objectType,omitempty"`
Reserved_ map[string]interface{} `json:"$reserved,omitempty"`
UnknownFields_ map[string]interface{} `json:"$unknownFields,omitempty"`
/*
Disk recovery point external identifier.
*/
DiskRecoveryPointExtId *string `json:"diskRecoveryPointExtId,omitempty"`
/*
The external identifier that can be used to retrieve the recovery point using its URL.
*/
RecoveryPointExtId *string `json:"recoveryPointExtId,omitempty"`
/*
The external identifier that can be used to retrieve the volume group recovery point using its URL (Note: This attribute will be removed in future releases; therefore, use the volume group recovery point external identifier instead).
*/
VolumeGroupRecoveryPointExtId *string `json:"volumeGroupRecoveryPointExtId,omitempty"`
}
Specs containing VM disk recovery point information used to discover the cluster.
func NewVolumeGroupDiskRecoveryPointReference ¶
func NewVolumeGroupDiskRecoveryPointReference() *VolumeGroupDiskRecoveryPointReference
func (*VolumeGroupDiskRecoveryPointReference) MarshalJSON ¶ added in v4.1.1
func (p *VolumeGroupDiskRecoveryPointReference) MarshalJSON() ([]byte, error)
func (*VolumeGroupDiskRecoveryPointReference) UnmarshalJSON ¶ added in v4.1.1
func (p *VolumeGroupDiskRecoveryPointReference) UnmarshalJSON(b []byte) error
type VolumeGroupRecoveryPointChangedRegionsComputeSpec ¶
type VolumeGroupRecoveryPointChangedRegionsComputeSpec struct {
ObjectType_ *string `json:"$objectType,omitempty"`
Reserved_ map[string]interface{} `json:"$reserved,omitempty"`
UnknownFields_ map[string]interface{} `json:"$unknownFields,omitempty"`
/*
When blockSizeByte is set, all returned ranges will start and end at blockSize addresses, and the changed blocks will match the block size. Supported values of blockSizeByte are [32768, 65536, 131072, 262144]. Example: if blockSizeByte is set to 32768 (i.e 32KB), all ranges will start at multiple of 32KB and end at multiple of 32KB value.
*/
BlockSizeByte *int64 `json:"blockSizeByte,omitempty"`
/*
The length to compute the changed region. If the value is not provided, then the difference is performed from the start offset to the end of the disk. Note: the end offset might automatically align to a system-defined block boundary.
*/
Length *int64 `json:"length,omitempty"`
/*
The start offset value to compute the changed region. If the value is not provided, then the difference is executed from the offset of 0. Note: the start offset might automatically align to a system-defined block boundary.
*/
Offset *int64 `json:"offset,omitempty"`
/*
Disk recovery point external identifier.
*/
ReferenceDiskRecoveryPointExtId *string `json:"referenceDiskRecoveryPointExtId,omitempty"`
/*
The external identifier that can be used to retrieve the recovery point using its URL.
*/
ReferenceRecoveryPointExtId *string `json:"referenceRecoveryPointExtId,omitempty"`
/*
The external identifier that can be used to retrieve the volume group recovery point using its URL (Note: This attribute will be removed in future releases; therefore, use the volume group recovery point external identifier instead).
*/
ReferenceVolumeGroupRecoveryPointExtId *string `json:"referenceVolumeGroupRecoveryPointExtId,omitempty"`
}
Compute changed region parameters. These parameters allow you to specify a start offset, length, block size, and a reference disk recovery point. All parameters are optional. However, if you need to set a reference disk recovery point, you must specify all three parameters: recovery point ID, volume group recovery point ID, and disk recovery point ID.
func NewVolumeGroupRecoveryPointChangedRegionsComputeSpec ¶
func NewVolumeGroupRecoveryPointChangedRegionsComputeSpec() *VolumeGroupRecoveryPointChangedRegionsComputeSpec
func (*VolumeGroupRecoveryPointChangedRegionsComputeSpec) MarshalJSON ¶ added in v4.1.1
func (p *VolumeGroupRecoveryPointChangedRegionsComputeSpec) MarshalJSON() ([]byte, error)
func (*VolumeGroupRecoveryPointChangedRegionsComputeSpec) UnmarshalJSON ¶ added in v4.1.1
func (p *VolumeGroupRecoveryPointChangedRegionsComputeSpec) UnmarshalJSON(b []byte) error